%define upstream_name    Test-Email
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Test Email Contents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(Mail::POP3Client)
BuildRequires: perl(Mail::Sendmail)
BuildRequires: perl(Test::Builder)
BuildArch: noarch

%description
Please note that this is ALPHA CODE. As such, the interface is likely to
change.

This module can help you to create automated tests of email delivered to a
POP3 account.

Messages retrieved from the server but not yet matched by a test will be
cached until either that message is the first to pass a test, or is
returned by '$pop3->get_email()'. Messages returned are the Test::Email
manpage objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1034280
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 948166
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 745828
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 686430
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 515172
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 373486
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 20 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 110537
- imported package perl-Test-Email


* Mon Jun 20 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
